import { Request, Response } from "express";
import { CreateUserAccessControlListService } from "../services/CreateUserAccessControlListService";
declare global {
    namespace Express {
        interface Request {
            userId?: string; // ou o tipo correto da propriedade userId
        }
    }
}

export class CreateUserAccessControlListController {
    async handle(request: Request, response: Response) {
        const { permissions, roles } = request.body;
        const { userId } = request;

        const createUserACLService = new CreateUserAccessControlListService();

        const result = await createUserACLService.execute({
            userId,
            permissions,
            roles,

        });

        if (result instanceof Error) {
            return response.status(400).json(result.message);
        }

        return response.json(result);
    }

    async atribuirPerfil(request: Request, response: Response) {

        const { permissions, roles, userId, fullName, email, password } = request.body;

        const createUserACLService = new CreateUserAccessControlListService();

        const result = await createUserACLService.execute({
            userId,
            permissions,
            roles,
            fullName,
            email,
            password
        });

        if (result instanceof Error) {
            return response.status(400).json(result.message);
        }

        return response.json(result);
    }
}