import { Request, Response } from "express";
import { SessionService } from "../services/SessionService";

export class SessionController {
    async handle(request: Request, response: Response) {

        const { rg, password } = request.body;
        console.log('Body login', request.body)

        const sessionService = new SessionService();
        const result = await sessionService.execute({ rg, password });


        if (result instanceof Error) {
            return response.status(400).json(result.message);
        }

        return response.json(result);
    }
}