import { Entity, PrimaryGeneratedColumn, Column, OneToMany } from "typeorm";
import { Subarea } from "./Subarea";
import { Unidades } from "./Unidades";


@Entity("area")
export class Area {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @Column({ name: "nome", nullable: false })
    nome: string;

    @OneToMany(() => Unidades, unidade => unidade.area)
    unidade: Unidades[];

    @OneToMany(() => Subarea, subarea => subarea.area)
    subareas: Subarea[];
}