import { Column, CreateDateColumn, Entity, JoinColumn, JoinTable, ManyToMany, ManyToOne, OneToMany, OneToOne, PrimaryColumn, PrimaryGeneratedColumn } from "typeorm";
import { BaseEntity } from "./BaseEntity";
import { Imagens } from "./Imagens";
import { InventariosMateriais } from "./InventariosMateriais";
import { TiposViatura } from "./TiposViatura";

@Entity("categorias")
export class Categorias extends BaseEntity {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @Column({ name: "descricao", nullable: true })
    descricao: string

    @Column({ name: "comentarios", nullable: true })
    comentarios: string

    @Column({ type: "varchar", length: 15 })
    situacao: string;

    @OneToMany(() => InventariosMateriais, inventariosMateriais => inventariosMateriais.categoria)
    inventariosMateriais: InventariosMateriais[];

    @ManyToMany(() => TiposViatura, tiposViatura => tiposViatura.categorias)
    tiposViatura: TiposViatura[];

}
