import { Column, CreateDateColumn, Entity, JoinColumn, ManyToOne, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { Viaturas } from "./Viaturas";
import { TiposEquipamento } from "./TiposEquipamento";
import { BaseEntity } from "./BaseEntity";
import { ItensCheckList } from "./ItensCheckList";
import { User } from "./User";

@Entity("checklists")
export class CheckLists extends BaseEntity {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @ManyToOne(() => Viaturas, viatura => viatura.checkLists)
    @JoinColumn({ name: 'viatura_id' })
    viatura: Viaturas;

    @OneToMany(() => ItensCheckList, itens => itens.checklist)
    itensCheckLists: ItensCheckList[];

    @ManyToOne(() => TiposEquipamento, { nullable: true })
    @JoinColumn({ name: 'tipo_equipamento_id' })
    tipoEquipamento: TiposEquipamento;

    @ManyToOne(() => User, { nullable: true })
    @JoinColumn({ name: 'usuario_id' })
    usuario: User;

    @Column({ type: "varchar", length: 40, nullable: true })
    situacao: string;

    @CreateDateColumn({ name: 'data', type: 'date' })
    data: Date;
}