import { Column, Entity, JoinColumn, ManyToOne, OneToOne, PrimaryGeneratedColumn } from "typeorm";
import { Viaturas } from "./Viaturas";
import { BaseEntity } from "./BaseEntity";
import { Equipamentos } from "./Equipamentos";
import { ItensVeiculo } from "./ItensVeiculo";

@Entity()
export class Imagens extends BaseEntity {
    @PrimaryGeneratedColumn()
    id: number;

    @Column()
    path: string;

    @ManyToOne(() => Viaturas, viatura => viatura.imagens)
    @JoinColumn({ name: 'viatura_id' })
    viatura: Viaturas;

    @Column({ nullable: true })
    viatura_id: number;

    @ManyToOne(() => Equipamentos, equipamento => equipamento.imagens)
    @JoinColumn({ name: 'equipamento_id' })
    equipamento: Equipamentos;

    @Column({ nullable: true })
    equipamento_id: number;
}