import { Column, Entity, JoinColumn, ManyToOne, OneToMany, OneToOne, PrimaryGeneratedColumn } from "typeorm";
import { Viaturas } from "./Viaturas";
import { InventariosMateriais } from "./InventariosMateriais";
import { TiposEquipamento } from "./TiposEquipamento";
import { BaseEntity } from "./BaseEntity";

@Entity("inventarios")
export class Inventarios extends BaseEntity {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @Column({ name: "descricao", nullable: true })
    descricao: string;

    @ManyToOne(() => Viaturas, viatura => viatura.inventarios)
    @JoinColumn({ name: 'viatura_id' })
    viatura: Viaturas;

    @OneToMany(() => InventariosMateriais, inventarioMateriais => inventarioMateriais.inventario)
    inventarioMateriais: InventariosMateriais[];

    @ManyToOne(() => TiposEquipamento, { nullable: true })
    @JoinColumn({ name: 'tipo_equipamento_id' })
    tipoEquipamento: TiposEquipamento;

    @Column({ type: "varchar", length: 15 })
    situacao: string;

}