import { Entity, PrimaryGeneratedColumn, Column, ManyToOne, JoinColumn } from "typeorm";
import { Viaturas } from "./Viaturas";
import { Categorias } from "./Categorias";
import { MaterialBase } from "./MaterialBase";
import { Equipamentos } from "./Equipamentos";
import { Inventarios } from "./Inventarios";
import { BaseEntity } from "./BaseEntity";
import { UnidadesMateriais } from "./UnidadesMateriais";

@Entity("inventarios_materiais")
export class InventariosMateriais extends BaseEntity {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @Column({ name: "quantidade", nullable: true })
    quantidade: number;

    @ManyToOne(() => Categorias, categoria => categoria.inventariosMateriais)
    @JoinColumn({ name: 'categoria_id' })
    categoria: Categorias;

    @Column({ name: "tipo_material", nullable: true })
    tipoMaterial: string;

    @ManyToOne(() => Equipamentos, equipamento => equipamento.inventariosMateriais)
    @JoinColumn({ name: 'equipamento_id' })
    equipamento: Equipamentos;

    @ManyToOne(() => UnidadesMateriais, material => material)
    @JoinColumn({ name: 'unidade_material_id' })
    unidadeMaterial: UnidadesMateriais;

    @ManyToOne(() => Inventarios, inventario => inventario.inventarioMateriais)
    @JoinColumn({ name: 'inventario_id' })
    inventario: Inventarios;
}