import { Entity, PrimaryGeneratedColumn, Column, ManyToOne, JoinColumn } from "typeorm";
import { Viaturas } from "./Viaturas";
import { Categorias } from "./Categorias";
import { MaterialBase } from "./MaterialBase";
import { Equipamentos } from "./Equipamentos";
import { Inventarios } from "./Inventarios";
import { BaseEntity } from "./BaseEntity";
import { CheckLists } from "./CheckLists";
import { InventariosMateriais } from "./InventariosMateriais";

@Entity("itens_checklist")
export class ItensCheckList extends BaseEntity {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @Column({ name: "descricao_pendencia", nullable: true })
    descricaoPendencia: string

    @Column({ name: "quantidade", nullable: true })
    quantidade: number;

    @ManyToOne(() => Categorias, categoria => categoria.inventariosMateriais)
    @JoinColumn({ name: 'categoria_id' })
    categoria: Categorias;

    @ManyToOne(() => Equipamentos, equipamento => equipamento.inventariosMateriais)
    @JoinColumn({ name: 'equipamento_id' })
    equipamento: Equipamentos;

    @ManyToOne(() => CheckLists, checklist => checklist.itensCheckLists)
    @JoinColumn({ name: 'checklist_id' })
    checklist: CheckLists;

    @ManyToOne(() => InventariosMateriais, { nullable: true })
    @JoinColumn({ name: 'inventario_material_id' })
    inventarioMaterial: InventariosMateriais;
}