import { Entity, PrimaryGeneratedColumn, Column, ManyToOne, OneToMany, JoinColumn } from "typeorm";
import { Area } from "./Area";
import { Unidades } from "./Unidades";

@Entity("subarea")
export class Subarea {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @Column({ name: "nome", nullable: false })
    nome: string;

    @ManyToOne(() => Area, area => area.subareas)
    @JoinColumn({ name: "area_id" })
    area: Area;

    @OneToMany(() => Unidades, unidade => unidade.subarea)
    unidades: Unidades[];
}
