import { Column, CreateDateColumn, Entity, JoinColumn, JoinTable, ManyToMany, ManyToOne, OneToMany, OneToOne, PrimaryColumn, PrimaryGeneratedColumn } from "typeorm";
import { BaseEntity } from "./BaseEntity";
import { Equipamentos } from "./Equipamentos";

@Entity("tipos_equipamento")
export class TiposEquipamento extends BaseEntity {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @Column({ name: "descricao", nullable: true })
    descricao: string

    @OneToMany(() => TiposEquipamento, tipo => tipo.equipamentos)
    equipamentos: Equipamentos[];

    @Column({ type: "varchar", length: 15 })
    situacao: string;
}
