import { Column, Entity, JoinTable, ManyToMany, PrimaryGeneratedColumn } from "typeorm";
import { BaseEntity } from "./BaseEntity";
import { Categorias } from "./Categorias";

@Entity("tipos_viatura")
export class TiposViatura extends BaseEntity {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @Column({ name: "nome", type: "varchar", length: 255 })
    nome: string;

    @ManyToMany(() => Categorias, categoria => categoria.tiposViatura)
    @JoinTable({
        name: "tipos_viatura_categorias",
        joinColumn: {
            name: "tipos_viatura_id",
            referencedColumnName: "id"
        },
        inverseJoinColumn: {
            name: "categorias_id",
            referencedColumnName: "id"
        }
    })
    categorias: Categorias[];
}
