import { Entity, PrimaryGeneratedColumn, Column, ManyToOne, JoinColumn, OneToMany } from "typeorm";
import { Viaturas } from "./Viaturas";
import { Categorias } from "./Categorias";
import { MaterialBase } from "./MaterialBase";
import { Equipamentos } from "./Equipamentos";
import { Inventarios } from "./Inventarios";
import { BaseEntity } from "./BaseEntity";
import { Unidades } from "./Unidades";
import { InventariosMateriais } from "./InventariosMateriais";

@Entity("unidades_materiais")
export class UnidadesMateriais extends BaseEntity {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @Column({ name: "quantidade", nullable: true })
    quantidade: number;

    @ManyToOne(() => Equipamentos, equipamento => equipamento.inventariosMateriais)
    @JoinColumn({ name: 'equipamento_id' })
    equipamento: Equipamentos;

    @ManyToOne(() => Unidades, unidade => unidade.materiais)
    @JoinColumn({ name: 'unidade_id' })
    unidade: Unidades;

    @Column({ name: "patrimonio", nullable: true })
    patrimonio: string

    @Column({ name: "numero_serie", nullable: true })
    numeroSerie: string
}