import { Column, CreateDateColumn, Entity, JoinColumn, ManyToOne, OneToMany, OneToOne, PrimaryGeneratedColumn } from "typeorm";
import { Viaturas } from "./Viaturas";
import { TiposEquipamento } from "./TiposEquipamento";
import { BaseEntity } from "./BaseEntity";

import { User } from "./User";
import { Status } from "./Status";
import { Unidades } from "./Unidades";

@Entity("viatura_status")
export class ViaturaStatus extends BaseEntity {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @ManyToOne(() => Viaturas,)
    @JoinColumn({ name: 'viatura_id' })
    viatura: Viaturas;

    @ManyToOne(() => Unidades,)
    @JoinColumn({ name: 'unidade_id' })
    unidade: Unidades;

    @ManyToOne(() => Status,)
    @JoinColumn({ name: 'tipo_equipamento_id' })
    status: Status;

    @ManyToOne(() => User,)
    @JoinColumn({ name: 'usuario_id' })
    usuario: User;

    @CreateDateColumn({ name: 'data', type: 'date' })
    data: Date;


}