import { Column, CreateDateColumn, Entity, JoinColumn, JoinTable, ManyToMany, ManyToOne, OneToMany, PrimaryColumn, PrimaryGeneratedColumn } from "typeorm";
import { BaseEntity } from "./BaseEntity";
import { Unidades } from "./Unidades";
import { Imagens } from "./Imagens";
import { InventariosMateriais } from "./InventariosMateriais";
import { Inventarios } from "./Inventarios";
import { CheckLists } from "./CheckLists";
import { ViaturaStatus } from "./ViaturaStatus";

@Entity("viaturas")
export class Viaturas extends BaseEntity {
    @PrimaryGeneratedColumn({ name: "id", type: "int" })
    id: number;

    @Column({ name: "descricao", nullable: true })
    descricao: string

    @Column({ name: "chassi", nullable: true })
    chassi: string

    @Column({ name: "modelo", nullable: true })
    modelo: string

    @Column({ name: "marca", nullable: true })
    marca: string

    @Column({ name: "prefixo", nullable: true })
    prefixo: string

    @Column({ name: "numero", nullable: true })
    numero: string

    @ManyToOne(() => Unidades, unidade => unidade.viaturas)
    @JoinColumn({ name: 'unidade_id' })
    unidade: Unidades;

    @Column({ name: "urlVideo", nullable: true })
    urlVideo: string

    @Column({ type: "varchar", length: 15 })
    situacao: string;

    @OneToMany(() => Imagens, imagem => imagem.viatura)
    imagens: Imagens[];

    @OneToMany(() => Inventarios, inventario => inventario.viatura)
    inventarios: Inventarios[];

    @OneToMany(() => CheckLists, checks => checks.viatura)
    checkLists: CheckLists[];

    @OneToMany(() => ViaturaStatus, viaturaStatus => viaturaStatus.viatura) // Adicionar relação OneToMany
    viaturastatus: ViaturaStatus[];
}