// src/routes/authRoutes.ts
import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import AreaController from '../controllers/AreaController';

const router = express.Router();

router.get('/', ensuredAuthenticated(), AreaController.getAreas);
router.get('/:id', ensuredAuthenticated(), AreaController.getArea);
router.post('/', ensuredAuthenticated(), AreaController.createArea);
router.put('/:id', ensuredAuthenticated(), AreaController.updateArea);
router.delete('/:id', ensuredAuthenticated(), AreaController.deleteArea);
router.get('/:id/subareas', ensuredAuthenticated(), AreaController.getSubareas);




export default router;
