// src/routes/authRoutes.ts
import express from 'express';
import { login, createUser } from '../controllers/AuthController';
import { SessionController } from '../controllers/SessionController';
import { CreateUserController } from '../controllers/CreateUserController';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import { CreateUserAccessControlListController } from '../controllers/CreateUserAccessControlListController';
import { UserController } from '../controllers/UserController';

const router = express.Router();

//router.post('/login', login);
//router.post("/users", new CreateUserController().handle);
router.post("/login", new SessionController().handle);

router.post(
    "/acl",
    ensuredAuthenticated(),
    new CreateUserAccessControlListController().handle
);
//router.post('/create', createUser);
router.get("/user/logged", ensuredAuthenticated(), new UserController().user);




export default router;
