import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import CategoriaController from '../controllers/CategoriaController';

const router = express.Router();

router.get('/', ensuredAuthenticated(), CategoriaController.list);
router.get('/:id', ensuredAuthenticated(), CategoriaController.show);
router.post('/', ensuredAuthenticated(), CategoriaController.create);
router.put('/:id', ensuredAuthenticated(), CategoriaController.update);
router.delete('/:id', ensuredAuthenticated(), CategoriaController.delete);
router.get('/tipo/:tipo', ensuredAuthenticated(), CategoriaController.listaPorTipoViatura);


export default router;
