import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import CheckListController from '../controllers/CheckListController';

const router = express.Router();

router.get('/tipo/:tipoEquipamento', ensuredAuthenticated(), CheckListController.list);
router.get('/:id', ensuredAuthenticated(), CheckListController.show);
router.post('/', ensuredAuthenticated(), CheckListController.create);
router.put('/:id', ensuredAuthenticated(), CheckListController.update);
router.delete('/:id', ensuredAuthenticated(), CheckListController.delete);
router.get('/agrupado/dataatual/:data', ensuredAuthenticated(), CheckListController.listChecklists);




export default router;
