import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import InventarioMaterialController from '../controllers/InventarioMaterialController';

const router = express.Router();

router.get('/', ensuredAuthenticated(), InventarioMaterialController.list);
router.get('/:id', ensuredAuthenticated(), InventarioMaterialController.show);
router.post('/', ensuredAuthenticated(), InventarioMaterialController.create);
router.put('/:id', ensuredAuthenticated(), InventarioMaterialController.update);
router.delete('/:id', ensuredAuthenticated(), InventarioMaterialController.delete);
router.post('/unidadesMateriais', ensuredAuthenticated(), InventarioMaterialController.listarPorIds);
router.post('/movimentacao', ensuredAuthenticated(), InventarioMaterialController.salvarMovimentacao);

export default router;
