import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import InventarioController from '../controllers/InventarioController';

const router = express.Router();

router.get('/', ensuredAuthenticated(), InventarioController.listAll);
router.get('/tipo/:tipoEquipamento', ensuredAuthenticated(), InventarioController.list);
router.get('/:id', ensuredAuthenticated(), InventarioController.show);
router.post('/', ensuredAuthenticated(), InventarioController.create);
router.put('/:id', ensuredAuthenticated(), InventarioController.update);
router.delete('/:id', ensuredAuthenticated(), InventarioController.delete);

router.post('/desktop', ensuredAuthenticated(), InventarioController.createInventario);
router.put('/desktop/:id', ensuredAuthenticated(), InventarioController.updateInventario);


export default router;
