import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import ItemImplementoController from '../controllers/ItemImplementoController';

const router = express.Router();

router.get('/', ensuredAuthenticated(), ItemImplementoController.list);
router.get('/:id', ensuredAuthenticated(), ItemImplementoController.show);
router.post('/', ensuredAuthenticated(), ItemImplementoController.create);
router.put('/:id', ensuredAuthenticated(), ItemImplementoController.update);
router.delete('/:id', ensuredAuthenticated(), ItemImplementoController.delete);


export default router;
