import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import ItemVeiculoController from '../controllers/ItemVeiculoController';
import multer from 'multer';



const router = express.Router();

router.get('/', ensuredAuthenticated(), ItemVeiculoController.list);
router.get('/:id', ensuredAuthenticated(), ItemVeiculoController.show);
router.post('/', ensuredAuthenticated(), ItemVeiculoController.create);
router.put('/:id', ensuredAuthenticated(), ItemVeiculoController.update);
router.delete('/:id', ensuredAuthenticated(), ItemVeiculoController.delete);


export default router;
