// src/routes/permissionRoutes.ts

import express from 'express';
import { CreatePermissionController } from '../controllers/CreatePermissionController';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import { deletePermmission, getPermissions, showPermission } from '../controllers/PermissionsController';

const router = express.Router();

router.get("/", ensuredAuthenticated(), getPermissions);
router.post("/", ensuredAuthenticated(), new CreatePermissionController().handle);
router.get('/:id', ensuredAuthenticated(), showPermission);
router.put("/:id", ensuredAuthenticated(), new CreatePermissionController().handleUpdate);
router.delete("/:id", ensuredAuthenticated(), deletePermmission);

export default router;




