
import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import CheckListController from '../controllers/CheckListController';
import RelatoriosController from '../controllers/RelatoriosController';

const router = express.Router();

router.get('/agrupado/dataatual/:data', ensuredAuthenticated(), CheckListController.listChecklistsWithTypes);
router.post('/graficoequipamentoemoperacao', ensuredAuthenticated(), RelatoriosController.graficoEquipamentoEmOperacao);
router.post('/checklistsincompletosporunidades', ensuredAuthenticated(), RelatoriosController.checklistsIncompletosPorUnidades);
router.post('/equipamentosinoperantes', ensuredAuthenticated(), RelatoriosController.equipamentosInoperantes);




export default router;

