// src/routes/permissionRoutes.ts

import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import { CreateRoleController } from '../controllers/CreateRoleController';
import { CreateRolePermissionController } from '../controllers/CreateRolePermissionController';
import { deleteRole, getRoles, showRole, createRoles, updateRole } from '../controllers/RolesController';

const router = express.Router();


router.get(
    "/",
    ensuredAuthenticated(),

    getRoles
);
router.get('/:id', showRole);
router.post(
    "/",
    ensuredAuthenticated(),
    //is(["admin"]),
    createRoles
);
router.put("/:id", ensuredAuthenticated(), updateRole);
router.post("/:roleId", new CreateRolePermissionController().handle);
router.delete("/:id", ensuredAuthenticated(), deleteRole);

export default router;

