import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import StatusController from '../controllers/StatusController';

const router = express.Router();

router.get('/', ensuredAuthenticated(), StatusController.list);
router.get('/:id', ensuredAuthenticated(), StatusController.show);
router.post('/', ensuredAuthenticated(), StatusController.create);
router.put('/:id', ensuredAuthenticated(), StatusController.update);
router.delete('/:id', ensuredAuthenticated(), StatusController.delete);


export default router;
