// src/routes/authRoutes.ts
import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import SubareaController from '../controllers/SubareaController';


const router = express.Router();

router.get('/', ensuredAuthenticated(), SubareaController.getSubareas);
router.get('/:id', ensuredAuthenticated(), SubareaController.getSubarea);
router.post('/', ensuredAuthenticated(), SubareaController.createSubarea);
router.put('/:id', ensuredAuthenticated(), SubareaController.updateSubarea);
router.delete('/:id', ensuredAuthenticated(), SubareaController.deleteSubarea);




export default router;
