import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import TiposViaturaController from '../controllers/TiposViaturaController';

const router = express.Router();

router.get('/', ensuredAuthenticated(), TiposViaturaController.list);
router.get('/:id', ensuredAuthenticated(), TiposViaturaController.show);
router.post('/', ensuredAuthenticated(), TiposViaturaController.create);
router.put('/:id', ensuredAuthenticated(), TiposViaturaController.update);
router.delete('/:id', ensuredAuthenticated(), TiposViaturaController.delete);


export default router;
