// src/routes/camposRoutes.ts

import express from 'express';

import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import { is } from '../middlewares/permissions';
import UnidadeController from '../controllers/UnidadeController';


const router = express.Router();

router.get('/', ensuredAuthenticated(), UnidadeController.list);
router.get('/:id', ensuredAuthenticated(), UnidadeController.show);
router.post('/', ensuredAuthenticated(), UnidadeController.create);
router.put('/:id', ensuredAuthenticated(), UnidadeController.update);
router.delete('/:id', ensuredAuthenticated(), UnidadeController.delete);
router.post('/inventario', ensuredAuthenticated(), UnidadeController.salvarInventario);
router.get('/cba/:cba_id', ensuredAuthenticated(), UnidadeController.listarPorCBA);

export default router;
