// src/routes/userRoutes.ts

import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import { CreateRoleController } from '../controllers/CreateRoleController';
import { UserController } from '../controllers/UserController';
import { CreateUserAccessControlListController } from '../controllers/CreateUserAccessControlListController';

const router = express.Router();

//router.post("/",ensuredAuthenticated(),is(["admin"]),new CreateRoleController().handle);
router.get("/", ensuredAuthenticated(), new UserController().users);
router.post("/", ensuredAuthenticated(), new UserController().createUser);
router.get("/show/:id", ensuredAuthenticated(), new UserController().showUser);
router.get("/roles", ensuredAuthenticated(), new UserController().rolesUser);
router.post("/atribuirperfil", ensuredAuthenticated(), new CreateUserAccessControlListController().atribuirPerfil);
router.put("/:id", ensuredAuthenticated(), new UserController().editUser);
router.delete('/:id', ensuredAuthenticated(), new UserController().delete);
router.post("/trocarsenha", ensuredAuthenticated(), new UserController().changePassword);

export default router;

