import express from 'express';
import { ensuredAuthenticated } from '../middlewares/ensuredAuthenticated';
import ViaturaStatusController from '../controllers/ViaturaStatusController';

const router = express.Router();

router.get('/', ensuredAuthenticated(), ViaturaStatusController.list);
router.get('/:id', ensuredAuthenticated(), ViaturaStatusController.show);
router.get('/ultimo/:viatura_id', ensuredAuthenticated(), ViaturaStatusController.getUltimo);
router.post('/', ensuredAuthenticated(), ViaturaStatusController.create);
router.put('/:id', ensuredAuthenticated(), ViaturaStatusController.update);
router.delete('/:id', ensuredAuthenticated(), ViaturaStatusController.delete);


export default router;
