import { compare } from "bcrypt";
import { sign } from "jsonwebtoken";
import { User } from "../entities/User";
import { getRepository } from "typeorm";
import { UserRepository } from "../repositories";

type UserRequest = {
    rg: string;
    password: string;
};

export class SessionService {
    async execute({ rg, password }: UserRequest) {
        const repo = UserRepository();
        //const user = await repo.findOne({ email });
        console.log('Rg', rg);
        console.log('Senha', password);
        const user = await repo.findOne({
            where: { rg: rg, status: 'Ativo' },
            relations: ["roles", "permissions"] // Especifique os relacionamentos que deseja trazer
        });

        console.log('User', user);
        if (!user) {
            return new Error("User does not exists!");
        }

        const passwordMatch = await compare(password, user.password);

        if (!passwordMatch) {
            return new Error("User or Password incorrect");
        }

        const token = sign({}, process.env.SECRET_JWT, {
            subject: user.id,
        });

        delete user.password;

        return { token, user };
    }
}