import { Role } from "../entities/Role";
import {
    UserRepository,
} from "../repositories";

type UserACLRequest = {
    userId: string;
};

export class UserService {
    async execute({
        userId,
    }: UserACLRequest): Promise<String[] | Error> {
        const repo = UserRepository();


        const user = await repo.findOne(userId, { relations: ['roles', 'roles.permissions'] });

        if (!user) {
            return new Error("User does not exists!");
        }


        delete user.password;

        const userPermissions: string[] = [];

        user.roles.forEach(role => {
            role.permissions.forEach(permission => {
                userPermissions.push(permission.name);
            });
        });

        return userPermissions;
    }
}