// src/services/authService.ts
import jwt from 'jsonwebtoken';
import bcrypt from 'bcrypt';

const SECRET_KEY = '@QEGTUI';

export const generateToken = (payload: any): string => {
    const token = jwt.sign(payload, SECRET_KEY, { expiresIn: '1h' });

    return token;
};

export const verifyToken = (token: string): any => {
    try {

        const tokenWithoutBearer = token.replace(/^Bearer\s/, '');
        const decodedToken = jwt.verify(tokenWithoutBearer, SECRET_KEY);

        return decodedToken;
    } catch (error) {
        console.error(error);
        throw new Error('Token inválido');
    }
};

export const hashPassword = async (password: string): Promise<string> => {
    const saltRounds = 10;
    return bcrypt.hash(password, saltRounds);
};


export const comparePassword = async (password: string, hashedPassword: string): Promise<boolean> => {
    return bcrypt.compare(password, hashedPassword);
};
