import axios, { AxiosInstance } from 'axios';

const url = "https://apiwhatsapp.elshadaysystems.com.br";
const token = "ssja18Rts5sRYU!";

export function criarInstanciaAxios(): AxiosInstance {
    // Criar uma nova instância Axios
    const instance = axios.create({
        baseURL: url,
        headers: {
            'Authorization': `Bearer ${token}`
        }
    });

    instance.interceptors.request.use(
        (config) => {
            return config;
        },
        (error) => {
            return Promise.reject(error);
        }
    );

    return instance;
}

export async function get(endpoint: string) {
    try {
        const response = await axios.get(endpoint);
        return response.data;
    } catch (error) {
        throw new Error(`Erro ao fazer GET em ${endpoint}: ${error.message}`);
    }
}

export async function post(endpoint: string, data: any) {
    try {
        const response = await axios.post(endpoint, data);
        return response.data;
    } catch (error) {
        throw new Error(`Erro ao fazer POST em ${endpoint}: ${error.message}`);
    }
}

export async function del(endpoint: string) {
    try {
        const response = await axios.delete(endpoint);
        return response.data;
    } catch (error) {
        throw new Error(`Erro ao fazer DELETE em ${endpoint}: ${error.message}`);
    }
}

export async function put(endpoint: string, data: any) {
    try {
        const response = await axios.put(endpoint, data);
        return response.data;
    } catch (error) {
        throw new Error(`Erro ao fazer PUT em ${endpoint}: ${error.message}`);
    }
}
